package de.hftstuttgart.cityunits.tests;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.eclipse.emf.ecore.EObject;
import org.junit.jupiter.api.Test;

import de.hftstuttgart.cityunits.model.Services;


class ServicesTest {

	@Test
	void testExtractValue() {
		var services = new Services();
		assertEquals("1.23", services.extractValue((EObject)null, "1.23"), "Wrong value extraction from quantity!");
		assertEquals("1", services.extractValue((EObject)null, "1"), "Wrong value extraction from quantity!");
		assertEquals("2.34", services.extractValue((EObject)null, "2.34 km"), "Wrong value extraction from quantity!");
		assertEquals("wrong", services.extractValue((EObject)null, "wrong number km"), "Wrong value extraction from quantity!");
		assertEquals("", services.extractValue((EObject)null, ""), "Empty quantity must return empty value!");
	}

	@Test
	void testExtractUnit() {
		var services = new Services();
		assertEquals("kg", services.extractUnit((EObject)null, "kg"), "Wrong value extraction from quantity!");
		assertEquals("km", services.extractUnit((EObject)null, "2.34 km"), "Wrong value extraction from quantity!");
		assertEquals("wrong unit", services.extractUnit((EObject)null, "12 wrong unit"), "Wrong unit extraction from quantity!");
		assertEquals("", services.extractUnit((EObject)null, ""), "Empty quantity must return empty unit!");
	}
}
